package zero1hd.rhythmbullet.audio;

import com.badlogic.gdx.files.FileHandle;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.utils.Disposable;

public interface AudioMetadata extends Disposable {
	
	public void loadAlbumCover();
	
	public void unloadAlbumCover();

	public String getAuthor();
	
	public String getLength();
	
	public Texture getAlbumCover();
	
	public String getLastPlayed();

	public String getGenre();
	
	public FileHandle getFileHandle();

	public RhythmBulletMetadata getRBMetadata();
	
	public void flushRBMetadata();
	
	@Override
	public void dispose();
}
